For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETGet Current Subscription
      • POSTSubscribe
      • POSTCancel Subscription
      • POSTChange Plan
      • POSTCancel Scheduled Change
      • GETList Payment Methods
      • POSTAdd Payment Method
      • DELDelete Payment Method
      • PUTSet Default Payment Method
      • GETGet My Credits
      • GETGet My Plan Limits
      • GETList Invoices
      • GETGet Current Notification Preferences
      • PATCHUpdate Current Notification Preferences
      • GETList My Templates
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referenceusers

Get Current Notification Preferences

GET
/api/v1/users/me/notification-preferences
GET
/api/v1/users/me/notification-preferences
$curl https://api.onepin.ai/api/v1/users/me/notification-preferences \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "completed_generation_email": true,
4 "weekly_usage_summary_email": false,
5 "product_updates_email": true
6 },
7 "meta": {
8 "request_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
9 "timestamp": "2024-04-26T14:45:00Z"
10 }
11}
Get the current user's email notification preferences.
Was this page helpful?
Previous

Update Current Notification Preferences

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token

Response

Successful Response
dataobject
Current user's email notification preferences.
metaobject

Errors

422
Unprocessable Entity Error